#include <iostream>

#include <QApplication>
#include <QWidget>
#include <QFrame>
#include <QListWidget>
#include <QHBoxLayout>
#include <QFile>

#include "player.h"

//using namespace std;


int main(int argc, char* argv[]) {
    QApplication app(argc, argv);

    QWidget window;
    //window.resize(200,576);
    window.setGeometry(20,50,210,576);

    Player player;

    QListWidget liste(new QListWidget);
    for(int x=1;x<=player.get_Sender();x++){
        liste.addItem(player.get_Name(x));
    }

    QObject::connect(&liste, SIGNAL(itemClicked(QListWidgetItem*)), &player, SLOT(play(QListWidgetItem*)));
    QHBoxLayout layout(&window);
    layout.addWidget(&liste);
    window.show();

    return app.exec();
}
